org.apache.felix.resolver.util

## Class OpenHashMapList

- java.lang.Object
- - org.apache.felix.resolver.util.OpenHashMap<org.osgi.resource.Requirement,CandidateSelector>
  - - org.apache.felix.resolver.util.OpenHashMapList

All Implemented Interfaces:
  Serializable, Cloneable, Map<org.osgi.resource.Requirement,CandidateSelector>, SortedMap<org.osgi.resource.Requirement,CandidateSelector>

    public class OpenHashMapList
    extends OpenHashMap<org.osgi.resource.Requirement,CandidateSelector>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.felix.resolver.util.OpenHashMap

`OpenHashMap.AbstractObjectCollection<K>, OpenHashMap.AbstractObjectSet<K>`

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

### Field Summary

### Fields inherited from class org.apache.felix.resolver.util.OpenHashMap

`containsNullKey, defRetValue, entries, f, fast, first, key, keys, last, link, mask, maxFill, n, size, value, values`

### Constructor Summary

Constructors
Constructor and Description
`OpenHashMapList()`
`OpenHashMapList(int initialCapacity)`

### Method Summary

All Methods Instance Methods Concrete Methods
`OpenHashMapList` `deepClone()`

### Methods inherited from class org.apache.felix.resolver.util.OpenHashMap

`clear, clone, comparator, compute, containsKey, containsValue, defaultReturnValue, defaultReturnValue, entrySet, equals, fast, firstKey, fixPointers, fixPointers, get, getOrCompute, hashCode, headMap, isEmpty, keySet, lastKey, put, putAll, rehash, remove, removeFirst, removeLast, shiftKeys, size, subMap, tailMap, toString, trim, trim, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

### Constructor Detail

#### OpenHashMapList

    public OpenHashMapList()

#### OpenHashMapList

    public OpenHashMapList(int initialCapacity)

### Method Detail

#### deepClone

    public OpenHashMapList deepClone()